<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.xrtymis.mapper.TfYwpnWaterRepMapper">

      <resultMap id="tfYwpnWaterRepMap" type="com.tofly.xrtymis.entity.TfYwpnWaterRep">
            <id property="id" column="ID"/>
            <result property="sid" column="SID"/>
            <result property="x" column="X"/>
            <result property="y" column="Y"/>
            <result property="groundz" column="GROUNDZ"/>
            <result property="address" column="ADDRESS"/>
            <result property="surveyunit" column="SURVEYUNIT"/>
            <result property="ownerunit" column="OWNERUNIT"/>
            <result property="maintainedunit" column="MAINTAINEDUNIT"/>
            <result property="surveydate" column="SURVEYDATE"/>
            <result property="indate" column="INDATE"/>
            <result property="createUser" column="CREATE_USER"/>
            <result property="createTime" column="CREATE_TIME"/>
            <result property="remark" column="REMARK"/>
            <result property="fileIds" column="FILE_IDS"/>
            <result property="issum" column="ISSUM"/>
            <result property="village" column="VILLAGE"/>
            <association property="createUserName" column="CREATE_USER" select="com.tofly.baseapi.mapper.ToflyCodeCommonMapper.getUserName" />
            <collection property="filePath" column="FILE_IDS" select="com.tofly.xrtymis.mapper.FileMapper.getFileByIds"/>
<!--            <collection property="filePath" column="FILEID" select="com.tofly.xrtymis.mapper.TfYwpnWaterRepMapper.getFileByIds"/>-->
      </resultMap>



</mapper>
